# ip-location-db [![NPM version](https://badge.fury.io/js/ip-location-db.svg)](https://badge.fury.io/js/ip-location-db)

This project provides ip to location database in csv.<br>
Country csv format: `ip_range_start,ip_range_end,country_code`<br>
City csv format: `ip_range_start,ip_range_end,country_code,state,city,latitude,longitude`<br>
`country_code` is the two-letter code defined in [ISO 3166-1 alpha-2](https://wikipedia.org/wiki/ISO_3166-1_alpha-2), to represent countries, dependent territories and special areas.



| Database | Type | License | Update<br>Frequency | ipv4 | ipv6 |
|---|---|---|---|---|---|
| 1. IP-ASN | Country | [Public Domain](https://creativecommons.org/publicdomain/mark/1.0/) | Daily | [asn-ipv4-country.csv](https://raw.githubusercontent.com/sapics/ip-location-db/master/dist/asn-ipv4-country.csv) | [asn-ipv6-country.csv](https://raw.githubusercontent.com/sapics/ip-location-db/master/dist/asn-ipv6-country.csv) |
| 2. GeoFeed + IP-ASN | Country | [Public Domain](https://creativecommons.org/publicdomain/mark/1.0/) | Daily | [geo-asn-ipv4-country.csv](https://raw.githubusercontent.com/sapics/ip-location-db/master/dist/geo-asn-ipv4-country.csv) | [geo-asn-ipv6-country.csv](https://raw.githubusercontent.com/sapics/ip-location-db/master/dist/geo-asn-ipv6-country.csv) |
| 3. Webnet77 | Country | [DONATIONWARE](http://en.wikipedia.org/wiki/Donationware) by Webnet77<sup>&spades;</sup> | Daily | [webnet77-ipv4-country.csv](https://raw.githubusercontent.com/sapics/ip-location-db/master/dist/webnet77-ipv4-country.csv) | [webnet77-ipv6-country.csv](https://raw.githubusercontent.com/sapics/ip-location-db/master/dist/webnet77-ipv6-country.csv) |
| 4. [DB-IP](https://db-ip.com/) | Country | [CC BY 4.0](https://creativecommons.org/licenses/by/4.0/) by DB-IP<sup>&#9733;</sup> | Monthly | [dbip-ipv4-country.csv](https://raw.githubusercontent.com/sapics/ip-location-db/master/dist/dbip-ipv4-country.csv) | [dbip-ipv6-country.csv](https://raw.githubusercontent.com/sapics/ip-location-db/master/dist/dbip-ipv6-country.csv) |
| 5. [DB-IP](https://db-ip.com/) + IP-ASN | Country | [CC BY 4.0](https://creativecommons.org/licenses/by/4.0/) by DB-IP<sup>&#9733;</sup> | Daily | [dbip-asn-ipv4-country.csv](https://raw.githubusercontent.com/sapics/ip-location-db/master/dist/dbip-asn-ipv4-country.csv) |  [dbip-asn-ipv6-country.csv](https://raw.githubusercontent.com/sapics/ip-location-db/master/dist/dbip-asn-ipv6-country.csv) |
| 6. [DB-IP](https://db-ip.com/) | City | [CC BY 4.0](https://creativecommons.org/licenses/by/4.0/) by DB-IP<sup>&#9733;</sup> | Monthly | [dbip-ipv4-city.csv.gz](https://raw.githubusercontent.com/sapics/ip-location-db/master/dist/dbip-ipv4-city.csv.gz) | [dbip-ipv6-city.csv.gz](https://raw.githubusercontent.com/sapics/ip-location-db/master/dist/dbip-ipv6-city.csv.gz) |



## IP-ASN database [Update: Daily]

Created by merging 5 RIP ([afrinic](https://afrinic.net), [apnic](https://www.apnic.net), [arin](https://www.arin.net), [lacnic](https://www.lacnic.net), [ripe ncc](https://www.ripe.net)) IP-ASN database.
[ASN (Autonomous System Number)](https://wikipedia.org/wiki/Autonomous_system_(Internet)) is a unique number assigned to an Autonomous System (AS) by the IANA.



## GeoFeed database [Update: Daily]

Created by merging GeoFeed database from [OpenGeoFeed](https://opengeofeed.org/) and [geofeeds.lacnic.net](https://geofeeds.lacnic.net/).



## Webnet77<sup>&spades;</sup> database [Update: Daily]

Created by [webnet77](https://software77.net/geo-ip/) geo-ip country database.
This database is donationware, please read [the license](https://software77.net/geo-ip/?license) carefully.<br>
We **recommend donating to [webnet77](https://software77.net/geo-ip/), if you use this database especially for commercial use**.



## DB-IP<sup>&#9733;</sup> database [Update: Monthly]

Created by DB-IP database which you could download and read the license from [ip-to-country-lite](https://db-ip.com/db/download/ip-to-country-lite) or [ip-to-city-lite](https://db-ip.com/db/download/ip-to-city-lite).
The free IP to Country (or City) Lite database by [DB-IP](https://db-ip.com/) is licensed under a [Creative Commons Attribution 4.0 International License](https://creativecommons.org/licenses/by/4.0/).<br>
Thus, **you must create attribution to [DB-IP.com](https://db-ip.com/) for the data**.<br>
In the case of a web application, you must include a link back to DB-IP.com on pages that display or use results from the database. You may do it by pasting the HTML code snippet into your code: `<a href='https://db-ip.com/'>IP Geolocation by DB-IP</a>`.<br>
If you need better accuracy, no attribution or daily updates, please use the [Commercial Version of db-ip](https://db-ip.com/db/ip-to-country).



## License

Files in `dist/*` have their **own license** as described above.<br>
Files `other than dist/*` are under MIT License.<br>
When you write the attribution to this project, we are glad if you make a link to [ip-location-db](https://github.com/sapics/ip-location-db).
